*Terminal.Gui* provides a rich set of views and controls for building terminal user interfaces:

* [Button](~/api/Terminal.Gui.Button.yml) - A View that provides an item that invokes an System.Action when activated by the user.
* [CheckBox](~/api/Terminal.Gui.CheckBox.yml) - Shows an on/off toggle that the user can set.
* [ColorPicker](~/api/Terminal.Gui.ColorPicker.yml) - Enables to user to pick a color.
* [ComboBox](~/api/Terminal.Gui.ComboBox.yml) - Provides a drop-down list of items the user can select from.
* [Dialog](~/api/Terminal.Gui.Dialog.yml) - A pop-up Window that contains one or more Buttons.
  * [OpenDialog](~/api/Terminal.Gui.OpenDialog.yml) - A Dialog providing an interactive pop-up Window for users to select files or directories.
  * [SaveDialog](~/api/Terminal.Gui.SaveDialog.yml) - A Dialog providing an interactive pop-up Window for users to save files.
* [FrameView](~/api/Terminal.Gui.FrameView.yml) - A container View that draws a frame around its contents. Similar to a GroupBox in Windows.
* [GraphView](~/api/Terminal.Gui.GraphView.yml) - A View for rendering graphs (bar, scatter etc).
* [Hex viewer/editor](~/api/Terminal.Gui.HexView.yml) - A hex viewer and editor that operates over a file stream. 
* [Label](~/api/Terminal.Gui.Label.yml) - Displays a string at a given position and supports multiple lines.
* [ListView](~/api/Terminal.Gui.ListView.yml) - Displays a scrollable list of data where each item can be activated to perform an action.
* [MenuBar](~/api/Terminal.Gui.MenuBar.yml) - Provides a menu bar with drop-down and cascading menus.
* [MessageBox](~/api/Terminal.Gui.MessageBox.yml) - Displays a modal (pup-up) message to the user, with a title, a message and a series of options that the user can choose from. 
* [ProgressBar](~/api/Terminal.Gui.ProgressBar.yml) - Displays a progress Bar indicating progress of an activity.
* [RadioGroup](~/api/Terminal.Gui.RadioGroup.yml) - Displays a group of labels each with a selected indicator. Only one of those can be selected at a given time
* [ScrollBarView](~/api/Terminal.Gui.ScrollBar.yml) - A scrollbar, either horizontal or vertical.
* [StatusBar](~/api/Terminal.Gui.StatusBar.yml) - A View that snaps to the bottom of a Toplevel displaying set of status items. Includes support for global app keyboard shortcuts.
* [TableView](~/api/Terminal.Gui.TableView.yml) - A View for tabular data based on a System.Data.DataTable. 
* [TimeField](~/api/Terminal.Gui.TimeField.yml) & [DateField](~/api/Terminal.Gui.TimeField.yml) - Enables structured editing of dates and times.
* [TextField](~/api/Terminal.Gui.TextField.yml) - Provides a single-line text entry.
* [TextValidateField](~/api/Terminal.Gui.TextValidateField.yml) - Text field that validates input through a ITextValidateProvider.
* [TextView](~/api/Terminal.Gui.TextView.yml)- A multi-line text editing View supporting word-wrap, auto-complete, context menus, undo/redo, and clipboard operations, 
* [TopLevel](~/api/Terminal.Gui.Toplevel.yml) - The base class for modal/pop-up Windows.
* [TreeView](~/api/Terminal.Gui.TreeView.yml) - A hierarchical tree view with expandable branches. Branch objects are dynamically determined when expanded using a user defined ITreeBuilder.
* [View](~/api/Terminal.Gui.View.yml) - The base class for all views on the screen and represents a visible element that can render itself and contains zero or more nested views.
* [Window](~/api/Terminal.Gui.Window.yml) - A Toplevel view that draws a border around its Frame with a title at the top.
* [Wizard](~/api/Terminal.Gui.Wizard.yml) - Provides navigation and a user interface to collect related data across multiple steps.
